#
# spec file for package kvirc (Version 3.4.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kvirc
%define       _prefix /opt/kde3
%define       _mandir /usr/share/man
%define       _realversion 3.4
BuildRequires:  dos2unix kdebase3-devel update-desktop-files
Url:            http://www.kvirc.net/
License:        GPLv2+
Group:          Productivity/Networking/IRC
Summary:        Graphical Front-End for IRC
Version:        3.4.2
Release:        4.7.1
Source:         kvirc-%{version}.tar.bz2
Patch:          kvirc-browser.patch
Patch1:         kvirc.diff
Patch2:         kvirc-dcc_vul.diff
Patch3:         kvirc-ctcp_vul.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IRC (Internet Relay Chat) client with an MDI interface; scripting,
pop-up, alias, and event editor; DCC (SEND CHAT VOICE and RESUME);
SOCKSV4 & V5 support; and more. See documentation in
/opt/kde/share/doc/HTML/de/kvirc/index.html.



Authors:
--------
    Szymon Stefanek <kvirc@tin.it>

%package -n kvirc-devel
License:        GPLv2+
Summary:        Graphical Front-End for IRC
Group:          Productivity/Networking/IRC
Requires:       kvirc = %{version}

%description devel
IRC (Internet Relay Chat) client with an MDI interface; scripting,
pop-up, alias, and event editor; DCC (SEND CHAT VOICE and RESUME);
SOCKSV4 & V5 support; and more. See documentation in
/opt/kde/share/doc/HTML/de/kvirc/index.html.



Authors:
--------
    Szymon Stefanek <kvirc@tin.it>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
for dosfile in `find -type f | xargs file | grep "CRLF" | sed -e "s@:.*@@" ` ; do
    dos2unix -o $dosfile
done

%build
. /etc/opt/kde3/common_options
> admin/libtool.m4.in
./autogen.sh
./configure $configkde \
	--with-qt-library-dir=/usr/lib/qt3/%{_lib} \
	--libdir=/opt/kde3/%{_lib} \
	--with-kde-library-dir=/opt/kde3/%{_lib} \
	--disable-final
make -C src/kvilib/build symlinks
make -C src/kvirc/build symlinks
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%__install -d %{buildroot}%{_datadir}/applnk/Internet
%__install -d %{buildroot}%{_datadir}/mimelnk/text
%suse_update_desktop_file kvirc Network IRCClient
# conflicts with kopete
%__rm -f %{buildroot}%{_datadir}/services/irc.protocol
%__rm -f %{buildroot}%{_datadir}/kvirc/%{_realversion}/modules/lib*.la
%__rm -f %{buildroot}%{_libdir}/lib*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
# clean up the hard disc after build
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO README INSTALL ChangeLog
%{_bindir}/kvirc
%{_bindir}/kvi_run_netscape
%{_bindir}/kvi_search_help
%{_libdir}/libkvilib.so.*
%{_datadir}/appl*/*/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%dir %{_datadir}/kvirc
%dir %{_datadir}/kvirc/%{_realversion}
%config(noreplace) %{_datadir}/kvirc/%{_realversion}/config
%{_datadir}/kvirc/%{_realversion}/defscript
%{_datadir}/kvirc/%{_realversion}/help
%{_datadir}/kvirc/%{_realversion}/license
%{_datadir}/kvirc/%{_realversion}/locale
%{_datadir}/kvirc/%{_realversion}/modules
%{_datadir}/kvirc/%{_realversion}/pics
%{_datadir}/kvirc/%{_realversion}/msgcolors
%{_datadir}/kvirc/%{_realversion}/themes
%{_mandir}/man?/kvirc.1.gz

%files devel
%defattr(-,root,root)
%{_bindir}/kvirc-config
%{_includedir}/kvirc
%{_libdir}/libkvilib.so

%changelog
* Fri Jul 30 2010 ro@suse.de
- add kvirc-ctcp_vul.diff:
  fix issue with remote CTCP commands execution
  CVE-2010-2785 (bnc#626942)
* Thu Jun 10 2010 ro@suse.de
- fix format string and directory traversal vulnerability
  (bnc#613163)
* Thu Jul  2 2009 tittiatcoke@gmail.com
- Added a patch to correct the makefile in po/kvirc. This contained
  twice the entry for kvirc_hu.mo
* Tue Nov  4 2008 anschneider@suse.de
- Remove .la files
* Tue Nov  4 2008 anschneider@suse.de
- Update to 3.4.2
  * Improved themeing support
  * Improved scripting engine
  * Improved help subsystem
  * Improved windows and macosx support
  * Better desktop integration
  * Nicer support for many different IRC servers
  * A totally revised option layout
  * Basic support for script "addons"
  * New nice statusbar applets
  * Fixed CVE-2008-4748; (bnc#439819)
- Run ldconfig on deinstalltion
* Tue Apr 15 2008 schwab@suse.de
- Remove broken libtool macros.
* Fri Feb 15 2008 ro@suse.de
- recode CRLF files to fix newlines in generated docu files
* Tue Oct 23 2007 ro@suse.de
- fix build with gcc-4.3
* Fri Jul 27 2007 ro@suse.de
- block "$" and ";" in irc urlhandler (#285810)
* Mon Jan  8 2007 ro@suse.de
- update to 3.2.6
  * Added handling of unknown RPL_WHOIS* numeric replies
  * Added a file with KVIrc file extension definitions
  * Added an option for the "network name in taskbar"
  * Added new notifier
  * Moved the whole theme management engine to a new module
  * New german translation file
  * More work on the options dialogs
* Tue Dec 19 2006 ro@suse.de
- in kvi_socket.h: test if error value equals to EAGAIN
  instead of setting it to that value (#226878)
* Mon Nov  6 2006 ro@suse.de
- fix crash after initial setup (thanks to gladiac)
* Tue Oct 17 2006 ro@suse.de
- update to 3.2.5
  - documentation cleanups
  - Fixed some docs about KVS
  - Fixed couple of bugs, include crashbug when applying a new theme
  - Changed trayicon bechaviour. Now it's configurable.
  - Make Tree taskbar header hidable. Hide it by default
* Wed Sep  6 2006 ro@suse.de
- update to 3.2.4
  - uparser is definitively gone: KVS is the reality.
  - many cleanups all over, including documentation
  - countless bugfixes
* Tue Jul 18 2006 dmueller@suse.de
- fix build
* Tue Jun 20 2006 dmueller@suse.de
- build parallel
* Mon Jun 12 2006 ro@suse.de
- remove unused .a files for modules (#182161)
- split off devel package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 23 2005 coolo@suse.de
- fix libtool usage (protecting share holder value again)
* Fri May 27 2005 ro@suse.de
- fix build with gcc-4.0.1
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Mar  7 2005 ro@suse.de
- update to 3.2.0
* Thu Feb 17 2005 adrian@suse.de
- move menu entry to xdg dir
* Mon Jan  3 2005 adrian@suse.de
- remove unneeded mad and mad-devel from nfb
* Mon Nov  8 2004 ro@suse.de
- recode all translations patches to UTF-8
* Mon Nov  8 2004 ro@suse.de
- remove most hunks from old patch (apparently obsolete)
- recode de translation to utf-8 first
* Wed Jun 30 2004 adrian@suse.de
- fix file conflict with kopete from KDE 3.3
* Thu Jun  3 2004 ro@suse.de
- update to 3.0.1
* Tue Apr 27 2004 ro@suse.de
- update to 3.0.0
* Thu Mar 18 2004 ro@suse.de
- cvs update of Mar18
- now the icons look complete ...
* Sun Mar  7 2004 ro@suse.de
- cvs update of Mar07
* Fri Jan 30 2004 ro@suse.de
- cvs update of Jan30
* Thu Oct 30 2003 ro@suse.de
- added defattr
* Wed Oct 29 2003 ro@suse.de
- update to CVS of Oct29 ... mountain of patches to compile
* Thu Aug 21 2003 ro@suse.de
- added run_ldconfig
* Mon Jul 28 2003 adrian@suse.de
- add Categories
* Thu Jun 12 2003 ro@suse.de
- add dir /opt/kde3/include/kvirc to filelist
* Mon May 19 2003 ro@suse.de
- fix filelist
* Thu May 15 2003 ro@suse.de
- change mode of .la files to 644
* Fri Mar  7 2003 ro@suse.de
- move applnk and mimelnk files in place
* Tue Feb 18 2003 ro@suse.de
- use kfmclient as urlhandler if available
* Wed Jan  8 2003 adrian@suse.de
- update to 3.0.0-beta2
* Tue Oct 22 2002 ro@suse.de
- update to 3.0.0-beta1
* Tue Jun 18 2002 ro@suse.de
- libdir is /opt/kde2/%%_lib for kde2 ...
* Mon Jun 17 2002 adrian@suse.de
- fix to compile on lib64-archs
* Fri Apr  5 2002 ro@suse.de
- fix pofiles
* Fri Nov  9 2001 ro@suse.de
- use kde2-devel-packages
* Tue Oct 30 2001 ro@suse.de
- cvs update 2001/10/30
* Tue Sep 18 2001 adrian@suse.de
- change TAG to X11/KDE/Beta
* Mon Sep 10 2001 schwab@suse.de
- Fix casts.
* Sat Sep  1 2001 ro@suse.de
- update to cvs of today
- use current libtool to build plugins right
- enable kde-support and ipv6-support
* Wed Aug 22 2001 ro@suse.de
- update to 2.1.2pre2 (cvs) to make it compile
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri May 18 2001 adrian@suse.de
- New version 2.1.1
* Tue Mar 27 2001 ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Mon Mar 19 2001 ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 ro@suse.de
- fixed filelist
* Wed Feb 21 2001 adrian@suse.de
- package fix
* Fri Feb  2 2001 adrian@suse.de
- update to 2.1.0 (KDE 2)
* Mon Jan 29 2001 mmj@suse.de
- fixed CXXFLAGS passing in the src/*/Makefile.in files
* Mon Dec  4 2000 adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov  8 2000 ro@suse.de
- neededforbuild libmng
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Thu Jun  8 2000 adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 @suse.de
- Spec file created from kvirc-1.0.0_beta3.1.tar.gz by autospec
* Thu Oct 28 1999 kettner@suse.de
- Drop ksupp, klibs, kbase and qtlib1 from neededforbuild
* Thu Oct 28 1999 kettner@suse.de
- New version 1.0.0_beta3.1, need qtlib2, fixes
  Buzilla bug #605
* Fri Sep 17 1999 kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 bs@suse.de
- don't use lx_hack for build
  Wed Mar 17 22:50:05 MET 1999 - autospec
- Recreated spec file from kvirc-0.9.0.tar.gz using autospec script by kettner@suse.de
